> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Stake Authority Summaries

Similar to the [Single delegator summary](/rated-api/api-reference/v0/solana/delegators/delegator-summary) but returns the summary stats for all stake accounts or stake authorities.

Here's how to interpret the inputs required to operate it:

| Parameter | Context                                                                                    |
| :-------- | :----------------------------------------------------------------------------------------- |
| `window`  | Window of the aggregation, with `1d`, `7d`, `30d` and `all` being the supported values     |
| `from`    | From a specific delegator's ranking based on their order in terms of `network_penetration` |
| `size`    | The number of results included per page                                                    |

On the `1d` time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana's staking rewards schedule, which is every epoch (\~2 days).


## OpenAPI

````yaml get /v0/solana/delegators/stakeAuthorities
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/solana/delegators/stakeAuthorities:
    get:
      tags:
        - Solana Delegators
      summary: Stake Authority Summaries
      operationId: stake_authority_summaries_v0_solana_delegators_stakeAuthorities_get
      parameters:
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
        - name: type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                minimum: 0
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 15
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_SolanaDelegatorStakeAuthoritySummary_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    PaginatedResponse_SolanaDelegatorStakeAuthoritySummary_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_solana__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/SolanaDelegatorStakeAuthoritySummary'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[SolanaDelegatorStakeAuthoritySummary]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_solana__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__solana__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    SolanaDelegatorStakeAuthoritySummary:
      properties:
        stakeAuthority:
          type: string
          title: Stakeauthority
        poolName:
          anyOf:
            - type: string
            - type: 'null'
          title: Poolname
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        delegatedStake:
          anyOf:
            - type: string
            - type: 'null'
          title: Delegatedstake
        networkPenetration:
          anyOf:
            - type: string
            - type: 'null'
          title: Networkpenetration
        validatorDelegates:
          type: integer
          minimum: 0
          title: Validatordelegates
        delegations:
          items:
            $ref: '#/components/schemas/SolanaDelegation'
          type: array
          title: Delegations
        aggregateValidatorEffectiveness:
          anyOf:
            - type: string
            - type: 'null'
          title: Aggregatevalidatoreffectiveness
        blendedVoteCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Blendedvotecommissionrate
        blendedMevCommissionRate:
          anyOf:
            - type: string
            - type: 'null'
          title: Blendedmevcommissionrate
        sumStakingRewards:
          anyOf:
            - type: string
            - type: 'null'
          title: Sumstakingrewards
        sumMevRewards:
          anyOf:
            - type: string
            - type: 'null'
          title: Summevrewards
        sumRewards:
          anyOf:
            - type: string
            - type: 'null'
          title: Sumrewards
        sumStakingCommissionPaid:
          anyOf:
            - type: string
            - type: 'null'
          title: Sumstakingcommissionpaid
        sumMevCommissionPaid:
          anyOf:
            - type: string
            - type: 'null'
          title: Summevcommissionpaid
        sumCommissionPaid:
          anyOf:
            - type: string
            - type: 'null'
          title: Sumcommissionpaid
        stakingRewardsApy:
          type: string
          title: Stakingrewardsapy
        mevRewardsApr:
          type: string
          title: Mevrewardsapr
        delegatorApy:
          type: string
          title: Delegatorapy
        sumMissedStakingRewards:
          type: string
          title: Summissedstakingrewards
      type: object
      required:
        - stakeAuthority
        - timeWindow
        - validatorDelegates
        - delegations
        - stakingRewardsApy
        - mevRewardsApr
        - delegatorApy
        - sumMissedStakingRewards
      title: SolanaDelegatorStakeAuthoritySummary
      examples:
        - aggregateValidatorEffectiveness: 0.984
          blendedMevCommissionRate: 0.07
          blendedVoteCommissionRate: 0.07
          delegatedStake: 100000.55
          delegations:
            - percentage: 0.8
              validatorName: Ledger by Figment
              validatorVoteAccount: 26pV97Ce83ZQ6Kz9XT4td8tdoUFPTng8Fb8gPyc53dJx
            - percentage: 0.2
              validatorName: Aurora Validator
              validatorVoteAccount: 34yvUa2fxfm2tUqxFEj9PHrVNwCcdzd51eo9hntWpZRs
          delegatorApy: 0.05
          mevRewardsApr: 0
          networkPenetration: 0.24
          stakeAuthority: 123FPQtifVXkooNAhiYiKeoQaL9tD9kkY5mQvGRwnLy2
          stakingRewardsApy: 0.05
          sumCommissionPaid: 0.0001
          sumMevCommissionPaid: 0
          sumMevRewards: 0
          sumMissedStakingRewards: 0
          sumRewards: 0.002
          sumStakingCommissionPaid: 0.0001
          sumStakingRewards: 0.002
          timeWindow: 1d
          validatorDelegates: 2
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
    networks__solana__granularity__Granularity:
      type: string
      enum:
        - 3k
        - day
      title: Granularity
    SolanaDelegation:
      properties:
        validatorVoteAccount:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorvoteaccount
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        percentage:
          anyOf:
            - type: string
            - type: 'null'
          title: Percentage
      type: object
      title: SolanaDelegation
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````